Name:           qm-vamp-plugins
Version:        1.7
Release:        2%{?dist}
Summary:        Vamp audio feature extraction plugin

License:        GPLv2+
URL:            http://isophonics.net/QMVampPlugins
Source0:        https://code.soundsoftware.ac.uk/attachments/download/109/%{name}-%{version}.tar.gz
# build flags cleanup
# (not intended for upstream)
Patch0:         qm-vamp-plugins-build.patch

BuildRequires:  atlas-devel
BuildRequires:  vamp-plugin-sdk-devel
BuildRequires:  qm-dsp-static

%description
qm-vamp-plugins are vamp audio feature extraction plugins from the Centre for
Digital Music at Queen Mary, University of London,
http://www.elec.qmul.ac.uk/digitalmusic/.

This plugin set includes note onset detector, beat and barline tracker, tempo
estimator, key estimator, tonal change detector, structural segmenter, timbral
and rhythmic similarity, wavelet scaleogram, adaptive spectrogram, note
transcription, chromagram, constant-Q spectrogram, and MFCC plugins.

For more information see
http://vamp-plugins.org/plugin-doc/qm-vamp-plugins.html.


%prep
%setup -q
%patch0 -p1
ln -s build/linux/Makefile.linux Makefile


%build
# atlas libraries
%if 0%{?fedora} >= 21
ATLAS_LIBS="-L%{_libdir}/atlas -ltatlas"
%else
ATLAS_LIBS="-L%{_libdir}/atlas -llapack -lcblas"
%endif

# extra cflags used in upstream
%ifarch %{ix86}
EXTRA_CFLAGS="-msse -mfpmath=sse"
%endif
%ifarch x86_64
EXTRA_CFLAGS="-msse -msse2 -mfpmath=sse"
%endif

CFLAGS="-I%{_includedir}/qm-dsp $EXTRA_CFLAGS %{?optflags}" \
LDFLAGS="%{?__global_ldflags}" \
ATLAS_LIBS="$ATLAS_LIBS" \
make %{?_smp_mflags}


%install
mkdir -p %{buildroot}%{_libdir}/vamp
install -p -m 0644 qm-vamp-plugins.cat %{buildroot}%{_libdir}/vamp
install -p -m 0644 qm-vamp-plugins.n3 %{buildroot}%{_libdir}/vamp
install -p -m 0755 qm-vamp-plugins.so %{buildroot}%{_libdir}/vamp


%files
%doc COPYING README.txt
%{_libdir}/vamp/qm-vamp-plugins.cat
%{_libdir}/vamp/qm-vamp-plugins.n3
%{_libdir}/vamp/qm-vamp-plugins.so


%changelog
* Sat Oct 25 2014 František Dvořák <valtri@civ.zcu.cz> - 1.7-2
- Replace qm-dsp-devel for qm-dsp-static BR

* Sat Feb 1 2014 František Dvořák <valtri@civ.zcu.cz> - 1.7-1
- Initial package
